package com.njzscloud.common.gen.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：tpl_category
 * 字典名称：模板类型
 */
@Getter
@RequiredArgsConstructor
public enum TplCategory implements DictStr {
    Controller("Controller", "Controller"),
    Service("Service", "Service"),
    Mapper("Mapper", "Mapper"),
    MapperXml("MapperXml", "MapperXml"),
    Entity("Entity", "Entity"),
    ;
    private final String val;
    private final String txt;
}


